ServerEvents.recipes(event => {
    event.remove({id: 'bloodmagic:altar/slate'})
    event.remove({id: 'bloodmagic:blood_altar'})
})

ServerEvents.recipes(event => {
    //Blood Altar
    event.shaped('bloodmagic:altar',
        ['1 1','121','333'], {
        1: 'deeperdarker:sculk_stone',
        2: 'evilcraft:blood_infuser',
        3: '#forge:ingots/source_steel'
    }).id('bloodmagic:altar')

    //Blank Slate
    event.custom ({
        "type": "bloodmagic:altar",
        "input": {
          "tag": "forge:gems/source"
        },
        "output": {
          "item": "bloodmagic:blankslate"
        },
        "upgradeLevel": 0,
        "altarSyphon": 1000,
        "consumptionRate": 5,
        "drainRate": 5
    }).id('bloodmagic:altar/slate')
})